export interface PaginatedResponse<T> {
    data: T[];
    totalPages: number;
    pageNumber: number;
    currentPage?: number;
    hasPreviousPage?: boolean;
    hasNextPage?: boolean;
    pageSize: number;
    totalCount: number;
}